From: Masami Hiramatsu <masami.hiramatsu.pt@hitachi.com>
To: Tom Zanussi <tom.zanussi@linux.intel.com>,
Yoshihiro YUNOMAE <yoshihiro.yunomae.ez@hitachi.com>,
Oleg Nesterov <oleg@redhat.com>,
Steven Rostedt <rostedt@goodmis.org>,
Namhyung Kim <namhyung@kernel.org>,
Ingo Molnar <mingo@kernel.org>
Cc: Linux Kernel Mailing List <linux-kernel@vger.kernel.org>
Subject: [RFC PATCH 2/3] ftracetest: Add ftrace basic testcases
Date: Tue, 05 Aug 2014 02:45:58 +0000 [thread overview]
Message-ID: <20140805024558.23693.27335.stgit@kbuild-fedora.novalocal> (raw)
In-Reply-To: <20140805024544.23693.66601.stgit@kbuild-fedora.novalocal>
Add ftrace basic testcases. This just checks ftrace debugfs
interface works as it is designed.
Signed-off-by: Masami Hiramatsu <masami.hiramatsu.pt@hitachi.com>
---
tools/testing/ftrace/test.d/basic1.tc | 3 +++
tools/testing/ftrace/test.d/basic2.tc | 6 ++++++
tools/testing/ftrace/test.d/basic3.tc | 8 ++++++++
3 files changed, 17 insertions(+)
create mode 100644 tools/testing/ftrace/test.d/basic1.tc
create mode 100644 tools/testing/ftrace/test.d/basic2.tc
create mode 100644 tools/testing/ftrace/test.d/basic3.tc
diff --git a/tools/testing/ftrace/test.d/basic1.tc b/tools/testing/ftrace/test.d/basic1.tc
new file mode 100644
index 0000000..275bd71
--- /dev/null
+++ b/tools/testing/ftrace/test.d/basic1.tc
@@ -0,0 +1,3 @@
+#!/bin/bash
+# description: Basic trace file check
+test -f README -a -f trace -a -f tracing_on -a -f trace_pipe
diff --git a/tools/testing/ftrace/test.d/basic2.tc b/tools/testing/ftrace/test.d/basic2.tc
new file mode 100644
index 0000000..5849922
--- /dev/null
+++ b/tools/testing/ftrace/test.d/basic2.tc
@@ -0,0 +1,6 @@
+#!/bin/bash
+# description: Basic test for tracers
+for t in `cat available_tracers`; do
+ echo $t > current_tracer || exit 1
+done
+echo nop > current_tracer
diff --git a/tools/testing/ftrace/test.d/basic3.tc b/tools/testing/ftrace/test.d/basic3.tc
new file mode 100644
index 0000000..0b9cb2c
--- /dev/null
+++ b/tools/testing/ftrace/test.d/basic3.tc
@@ -0,0 +1,8 @@
+#!/bin/bash
+# description: Basic trace clock test
+[ -f trace_clock ] || exit 1
+for c in `cat trace_clock | tr -d \[\]`; do
+ echo $c > trace_clock || exit 1
+ grep '\['$c'\]' trace_clock || exit 1
+done
+echo local > trace_clock
next prev parent reply other threads:[~2014-08-05 2:46 UTC|newest]
Thread overview: 9+ messages / expand[flat|nested] mbox.gz Atom feed top
2014-08-05 2:45 [RFC PATCH 0/3] ftrace: Add a ftrace test collection Masami Hiramatsu
2014-08-05 2:45 ` [RFC PATCH 1/3] ftracetest: Initial commit for ftracetest Masami Hiramatsu
2014-08-05 2:45 ` Masami Hiramatsu [this message]
2014-08-05 2:46 ` [RFC PATCH 3/3] ftracetest: Add kprobe basic testcases Masami Hiramatsu
2014-08-05 21:37 ` [RFC PATCH 0/3] ftrace: Add a ftrace test collection Steven Rostedt
2014-08-07 4:53 ` Masami Hiramatsu
2014-08-13 6:59 ` Namhyung Kim
2014-08-13 7:14 ` Namhyung Kim
2014-08-13 15:54 ` Masami Hiramatsu
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20140805024558.23693.27335.stgit@kbuild-fedora.novalocal \
--to=masami.hiramatsu.pt@hitachi.com \
--cc=linux-kernel@vger.kernel.org \
--cc=mingo@kernel.org \
--cc=namhyung@kernel.org \
--cc=oleg@redhat.com \
--cc=rostedt@goodmis.org \
--cc=tom.zanussi@linux.intel.com \
--cc=yoshihiro.yunomae.ez@hitachi.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox
all inboxes | Powered by JetHome®